# Query Video Task

> Wan 2.6 query video task endpoint.

Canonical URL: https://docs.uniall.ai/models/video/wan-2-6/query-task
Locale: en

## Endpoint


```http
GET /v1/videos/{task_id}
```
## Header Parameters

| Name | Type | Required | Description | Example |
| --- | --- | --- | --- | --- |
| `Authorization` | string | No | | Bearer &#123;your_token&#125; |
## Path Parameters

| Name | Type | Required | Description | Example |
| --- | --- | --- | --- | --- |
| `task_id` | string | Yes | | |
## Response Fields

| Field | Type | Required | Title | Description |
| --- | --- | --- | --- | --- |


## Response Examples

### Example 1

```json
{
  "id": "task_xxxxxxxxxxxxxxxxxxxxxx",
  "error": null,
  "model": "wan2.6-video-1080p",
  "object": "video.generation.job",
  "result": {
    "outputs": [
      "https://xxxxxxx.cn/predictions/xxxxx/1.mp4"
    ],
    "video_url": "https://xxxxxxx.cn/predictions/xxxxx/1.mp4"
  },
  "status": "completed",
  "task_id": "xxxxxxxxxxxxxxxxxxxxxxx",
  "progress": 100,
  "video_url": "https://xxxxxxx.cn/predictions/xxxxx/1.mp4",
  "created_at": 1773984104,
  "raw_status": "COMPLETED"
}
```
